- include_role:
    name: commons
    tasks_from: secrets/clonetoken-jenkins.yaml
  loop: "{{ clone_tokens | default([]) }}"
  loop_control:
    label: "{{ sc.name }}"
    loop_var: sc
  no_log: True
  vars:
    sc_name: "{{ sc.name }}"
    sc_value: "{{ sc.value }}"
  when:
  - clone_tokens is defined
  - sc.name is defined
  - sc.value is defined
- block:
  - include_role:
      name: commons
      tasks_from: helpers/secret.yaml
    vars:
      secret_key: password
      secret_length: 40
      secret_name: "{{ jenkins_name }}-generic-trigger-token"
      secret_prefix: False
      secret_suffix: False
  - name: Lookups Jenkins Generic Trigger Secret
    async: 30
    changed_when: False
    failed_when: False
    k8s_info:
      api_version: v1
      kind: Secret
      namespace: "{{ namespace }}"
      name: "{{ jenkins_name }}-generic-trigger-token"
    no_log: True
    poll: 5
    register: jenkins_trigger_token
  when:
  - k8s_flavor == 'openshift'
- block:
  - include_role:
      name: commons
      tasks_from: helpers/secret.yaml
    loop:
    - { skey: password }
    - { skey: username, from_var: admin }
    loop_control:
      label: "{{ k.skey }}"
      loop_var: k
    vars:
      secret_key: "{{ k.skey }}"
      secret_length: "{{ k.slen | default(32) }}"
      secret_name: "{{ jenkins_name }}-admin"
      secret_prefix: False
      secret_suffix: False
      secret_value: "{{ k.from_var | default(False) }}"
  when:
  - >
      k8s_flavor == 'kubernetes'
      or (k8s_flavor == 'openshift'
          and not do_oc)
